function [sock] = doSetup(ip)
sock = tcpip(ip, 55000, 'NetworkRole', 'client');
sock.InputBufferSize = 90000000;
fopen(sock);

%%Set up measurement group 0
%Select measuring card
sendC(sock, 'PCS9');
%Select measuring channel
sendC(sock, 'SPS1');
%Select desired signal (gross, net,...)
sendC(sock, 'MSS214');
%Assign to measuring group (0,1,2)
sendC(sock, 'MRG0');

%Set up a card for measuring
sendC(sock, 'PCS9');
%Select channel
sendC(sock, 'SMS1');


%Select measuring channel
sendC(sock, 'MCS9,17');

%Set buffer format
sendC(sock, 'MBF1257,0');

%Set measuring rate for group 0
sendC(sock, 'ICR6315,0');

%Set time format (2 = milliseconds + seconds)
sendC(sock, 'STF2');

end